
function stagecontrol(command,absolutex,absolutey,absolutez,absolutea) {

 var ajax=getAjax();

 if(command == "stage"){
	var result = document.getElementById("stage");
	}else {
		var result = document.getElementById("stage");
	}

	if (ajax) {
		 try{
			 ajax.onreadystatechange = getData;
		 }catch(e){
			result.innerHTML="Onreadystate change error.";
		 }

		 try{
			ajax.open("GET","//localhost:9090/="+encodeURIComponent(command)+"&x="+encodeURIComponent(absolutex)+"&y="+encodeURIComponent(absolutey)+"&z="+encodeURIComponent(absolutez)+"&a="+encodeURIComponent(absolutea),true);
			//document.getElementById("mid").innerHTML="absolutex="+absolutex+" absolutey="+absolutey;
		 }catch(e){
			result.innerHTML = "ajax open error";
		 }

		try {
			 ajax.send(null);
		}catch (e) {
			result.innerHTML ="send error";
		}

	}else {
		result.innerHTML = "you cannot use ajax....";
	}

	function getData() {
			if (ajax.readyState==4) {
					if (ajax.status==200) {
							 result.innerHTML = ajax.responseText;
						 }else {
							 result.innerHTML = "HTTP transmission....";
						}
			 }
	}
 }
